[![npm](https://img.shields.io/npm/v/@highlight-ui/tag-picker)](https://www.npmjs.com/package/@highlight-ui/tag-picker)
[![personio.design](https://img.shields.io/static/v1?label=Personio&message=zeroheight&color=yellow)](https://www.personio.design/40d648a47/v/0/p/66d15a-tag-picker/b/900e15)
[![storybook.personio.design](https://img.shields.io/static/v1?label=Personio&message=storybook&color=red)](https://storybook.personio.design/?path=/story/forms-and-input-tagpicker--tag-picker-story-default)

# @highlight-ui/tag-picker

Using npm:

```bash
npm install @highlight-ui/tag-picker
```

Using yarn:

```bash
yarn add @highlight-ui/tag-picker
```

Using pnpm:

```bash
pnpm install @highlight-ui/tag-picker
```

In your (S)CSS file:

```scss
@import url('@highlight-ui/tag-picker');
```

Once the package is installed, you can import the library:

```ts
import { TagPicker, TagInput } from '@highlight-ui/tag-picker';
```

## Usage

```tsx
import React from 'react';
import { TagPicker, TagInput } from '@highlight-ui/tag-picker';

export default function TagPickerExample() {
  return (
    <TagPicker
      options={[
        {
          value: '1',
          label: 'First tag',
        },
        {
          value: '2',
          label: 'Second tag',
        },
        {
          value: '3',
          label: 'Third tag',
        },
      ]}
      tags={[
        {
          text: 'First tag',
          interaction: 'remove',
        },
      ]}
      onTagRemove={handleRemove}
      onTagAdd={handleAdd}
      onInputChange={handleInputChange}
    />
  );
}
```

## Props 📜

[TagPickerProps](https://gitlab.personio-internal.de/personio/platform/highlight-ui/-/blob/master/packages/ui/tag-picker/src/TagPicker.tsx?ref_type=heads#L6) and [TagInputProps](https://gitlab.personio-internal.de/personio/platform/highlight-ui/-/blob/master/packages/ui/tag-picker/src/TagInput.tsx#L15) are heavily abstracted by the [Select](https://gitlab.personio-internal.de/personio/platform/highlight-ui/-/blob/master/packages/ui/select/src/BaseSelect/types.ts) props. Please refer to those documentations for a more detailed view.

## Contributing 🖌️

Please visit [personio.design](https://www.personio.design/40d648a47/v/0/p/66d15a-tag-picker/b/900e15) for usage guidelines and visual examples.

If you're interested in contributing, please visit our [contribution page](https://www.personio.design/40d648a47/v/0/p/138faf-about-the-process).
